Ubuntuにrmagickをインストール(ソースからインストールしたruby+gem)

Ubuntuのソースインストールしたruby環境に、rmagickをインストールした。
■ aptitudeでimagemagick libmagick9-devをインストールする。
※ libmagick-devやlibmagick9++-devなど他のパッケージではgraphicsmagickがインストールされ、railsのプラグインattachment_fuがうまく動作しなかった。(strip!メソッドはImageMagick1.1にはない、みたいなエラーになった。)

$ sudo aptitude install imagemagick libmagick9-dev

■ rmagickをgemでインストール。 (rmagick2がインストールされる。)

$ sudo gem install rmagick

■ 確認

$ convert --version
Version: ImageMagick 6.3.7 06/04/09 Q16 http://www.imagemagick.org
Copyright: Copyright (C) 1999-2008 ImageMagick Studio LLC
$ irb
irb(main):001:0> require 'rubygems'
=> true
irb(main):002:0> require 'RMagick'
=> true
irb(main):003:0> exit

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

このサイトはスパムを低減するために Akismet を使っています。コメントデータの処理方法の詳細はこちらをご覧ください